Package org.apache.sysds.runtime.compress.cost

## Class InstructionTypeCounter

- java.lang.Object
- - org.apache.sysds.runtime.compress.cost.InstructionTypeCounter

- All Implemented Interfaces:
    `Serializable`

      public final class InstructionTypeCounter
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InstructionTypeCounter()` |
    `InstructionTypeCounter​(int scans, int decompressions, int overlappingDecompressions, int leftMultiplications, int rightMultiplications, int compressedMultiplications, int dictionaryOps, int indexing, int total, boolean isDensifying)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCompressedMultiplications()` |
    `int` | `getDecompressions()` |
    `int` | `getDictionaryOps()` |
    `int` | `getIndexing()` |
    `int` | `getLeftMultiplications()` |
    `int` | `getOverlappingDecompressions()` |
    `int` | `getRightMultiplications()` |
    `int` | `getScans()` |
    `void` | `incCMM()` |
    `void` | `incDecompressions()` |
    `void` | `incDictOps()` |
    `void` | `incIndexOp()` |
    `void` | `incLMM()` |
    `void` | `incLMM​(int c)` |
    `void` | `incOverlappingDecompressions()` |
    `void` | `incRMM()` |
    `void` | `incRMM​(int c)` |
    `void` | `incScans()` |
    `static InstructionTypeCounter` | `MML​(int nRows, int calls)` |
    `static InstructionTypeCounter` | `MMR​(int nCols, int calls)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InstructionTypeCounter

          public InstructionTypeCounter()

    - #### InstructionTypeCounter

          public InstructionTypeCounter​(int scans,
                                        int decompressions,
                                        int overlappingDecompressions,
                                        int leftMultiplications,
                                        int rightMultiplications,
                                        int compressedMultiplications,
                                        int dictionaryOps,
                                        int indexing,
                                        int total,
                                        boolean isDensifying)

  - ### Method Detail

    - #### getScans

          public int getScans()

    - #### incScans

          public void incScans()

    - #### getDecompressions

          public int getDecompressions()

    - #### incDecompressions

          public void incDecompressions()

    - #### getOverlappingDecompressions

          public int getOverlappingDecompressions()

    - #### incOverlappingDecompressions

          public void incOverlappingDecompressions()

    - #### getLeftMultiplications

          public int getLeftMultiplications()

    - #### incLMM

          public void incLMM()

    - #### incLMM

          public void incLMM​(int c)

    - #### getRightMultiplications

          public int getRightMultiplications()

    - #### incRMM

          public void incRMM()

    - #### incRMM

          public void incRMM​(int c)

    - #### getCompressedMultiplications

          public int getCompressedMultiplications()

    - #### incCMM

          public void incCMM()

    - #### getDictionaryOps

          public int getDictionaryOps()

    - #### incDictOps

          public void incDictOps()

    - #### getIndexing

          public int getIndexing()

    - #### incIndexOp

          public void incIndexOp()

    - #### MMR

          public static InstructionTypeCounter MMR​(int nCols,
                                                   int calls)

    - #### MML

          public static InstructionTypeCounter MML​(int nRows,
                                                   int calls)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`